package com.fs.live.service;

import java.util.List;

import com.fs.live.domain.LiveAfterSalesItem;

/**
 * 售后子Service接口
 *
 * @author fs
 * @date 2025-07-08
 */
public interface ILiveAfterSalesItemService {
    /**
     * 查询售后子
     *
     * @param id 售后子主键
     * @return 售后子
     */
    LiveAfterSalesItem selectLiveAfterSalesItemById(Long id);

    /**
     * 查询售后子列表
     *
     * @param liveAfterSalesItem 售后子
     * @return 售后子集合
     */
    List<LiveAfterSalesItem> selectLiveAfterSalesItemList(LiveAfterSalesItem liveAfterSalesItem);

    /**
     * 新增售后子
     *
     * @param liveAfterSalesItem 售后子
     * @return 结果
     */
    int insertLiveAfterSalesItem(LiveAfterSalesItem liveAfterSalesItem);

    /**
     * 修改售后子
     *
     * @param liveAfterSalesItem 售后子
     * @return 结果
     */
    int updateLiveAfterSalesItem(LiveAfterSalesItem liveAfterSalesItem);

    /**
     * 批量删除售后子
     *
     * @param ids 需要删除的售后子主键集合
     * @return 结果
     */
    int deleteLiveAfterSalesItemByIds(Long[] ids);

    /**
     * 删除售后子信息
     *
     * @param id 售后子主键
     * @return 结果
     */
    int deleteLiveAfterSalesItemById(Long id);

    List<LiveAfterSalesItem> selectLiveAfterSalesItemByAfterId(Long id);
}
